Index: /code/branches/pickups/src/orxonox/objects/pickup/ShipEquipment.h
===================================================================
--- /code/branches/pickups/src/orxonox/objects/pickup/ShipEquipment.h	(revision 2082)
+++ /code/branches/pickups/src/orxonox/objects/pickup/ShipEquipment.h	(revision 2083)
@@ -11,5 +11,5 @@
 
 
-namespaces orxonox{
+namespace orxonox{
 
 	class _OrxonoxExport ShipEquipment{
@@ -21,4 +21,6 @@
 	private:
 		std::multimap<std::string, Item*> Equipment;
+	};
+}
 
 
Index: /code/branches/pickups/src/orxonox/objects/pickup/ShipEquipmentClasses.h
===================================================================
--- /code/branches/pickups/src/orxonox/objects/pickup/ShipEquipmentClasses.h	(revision 2082)
+++ /code/branches/pickups/src/orxonox/objects/pickup/ShipEquipmentClasses.h	(revision 2083)
@@ -15,9 +15,9 @@
            	EQClasses["jacke"] = 0;
             Item* item = itemMap_["jacke"];
-           
+
            if (itemMap_["jacke"])
            if (itemMap_.find("jacke") != itemMap_.end()) */
-namespaces orxonox{
-	
+namespace orxonox{
+
 	class _OrxonoxExport ShipEquipment{
 	public:
@@ -30,5 +30,5 @@
 		multimap<std::string, ShipItem*> Usable;
 		multimap<std::string, ShipItem*> Trunk;
-	
+	};
 
 
Index: /code/branches/pickups/src/orxonox/objects/pickup/ShipItem.cc
===================================================================
--- /code/branches/pickups/src/orxonox/objects/pickup/ShipItem.cc	(revision 2082)
+++ /code/branches/pickups/src/orxonox/objects/pickup/ShipItem.cc	(revision 2083)
@@ -1,9 +1,14 @@
 #include "Shipitem.h"
 
+namespace orxonox
+{
+    itemtype ShipItem::CheckType()
+    {
+        return this.type;
+    }
 
-itemtype CheckType(){
-	return This.type};
-	
-subItemTypePermanent CheckSubType(){
-	return This.subtype_permanent};
-	
+    subItemTypePermanent CheckSubType()
+    {
+        return this.subtype_permanent;
+    }
+}
Index: /code/branches/pickups/src/orxonox/objects/pickup/ShipItem.h
===================================================================
--- /code/branches/pickups/src/orxonox/objects/pickup/ShipItem.h	(revision 2082)
+++ /code/branches/pickups/src/orxonox/objects/pickup/ShipItem.h	(revision 2083)
@@ -9,5 +9,5 @@
 
 namespace orxonox{
-Class _OrxonoxExport ShipItem{
+class _OrxonoxExport ShipItem{
 
 	enum itemType{ //Diffrent Types of Items
@@ -30,5 +30,5 @@
 /* Useables are Items the Player can choose when to activate and then show an instant action/effect
  * or for a certain duration */
-Class _OrxonoxExport Useable : public ShipItem{
+class _OrxonoxExport Useable : public ShipItem{
 
 
@@ -51,5 +51,5 @@
 /* Permanents are Items, that effect the Player or his Ship from the instance he picks them up
    until he drops them again */
-Class _OrxonoxExport Permanent : public ShipItem{
+class _OrxonoxExport Permanent : public ShipItem{
 
 	enum subItemTypePermanent{ //Diffrent Types of Items of the Type Permanent
@@ -67,5 +67,5 @@
 
 // Powerups effect the Player right after he picks them up for a certain Duration /or permanently.
-Class _OrxonoxExport Powerups : public ShipItem{
+class _OrxonoxExport Powerups : public ShipItem{
 
 	enum subItem TypePowerups{ //Diffrent Types of Items of the Type Powerups
Index: de/branches/pickups/src/orxonox/objects/pickup/Usable
===================================================================
--- /code/branches/pickups/src/orxonox/objects/pickup/Usable	(revision 2082)
+++ 	(revision )
@@ -1,11 +1,0 @@
-/*enum 	subItemType{ Subtypes (thrusters etc)*/
-
-namespace orxonox{
-	class _OrxonoxExport Usable: public ShipItem{
-	
-	public:
-	subtypeusable CheckSubType();
-	private:
-	subtypeusable subtype;
-		
-	}
Index: /code/branches/pickups/src/orxonox/objects/pickup/Usable.h
===================================================================
--- /code/branches/pickups/src/orxonox/objects/pickup/Usable.h	(revision 2083)
+++ /code/branches/pickups/src/orxonox/objects/pickup/Usable.h	(revision 2083)
@@ -0,0 +1,12 @@
+/*enum 	subItemType{ Subtypes (thrusters etc)*/
+
+namespace orxonox{
+	class _OrxonoxExport Usable: public ShipItem{
+
+	public:
+	subtypeusable CheckSubType();
+	private:
+	subtypeusable subtype;
+
+	};
+}