Index: code/trunk/src/util/Exception.cc
===================================================================
--- code/trunk/src/util/Exception.cc	(revision 2096)
+++ code/trunk/src/util/Exception.cc	(revision 2103)
@@ -38,9 +38,9 @@
 {
     Exception::Exception(const std::string& description, int lineNumber,
-                         const char* fileName, const char* functionName)
+                         const char* filename, const char* functionName)
         : description_(description)
         , lineNumber_(lineNumber)
         , functionName_(functionName)
-        , fileName_(fileName)
+        , filename_(filename)
     { }
 
@@ -49,5 +49,5 @@
         , lineNumber_(0)
         , functionName_("")
-        , fileName_("")
+        , filename_("")
     { }
 
@@ -60,7 +60,7 @@
             fullDesc << this->getTypeName() << "_EXCEPTION";
 
-            if (this->fileName_ != "")
+            if (this->filename_ != "")
             {
-                fullDesc << " in " << this->fileName_;
+                fullDesc << " in " << this->filename_;
                 if (this->lineNumber_)
                     fullDesc << "(" << this->lineNumber_ << ")";
Index: code/trunk/src/util/Exception.h
===================================================================
--- code/trunk/src/util/Exception.h	(revision 2096)
+++ code/trunk/src/util/Exception.h	(revision 2103)
@@ -67,5 +67,5 @@
 
         Exception(const std::string& description, int lineNumber,
-                  const char* fileName, const char* functionName);
+                  const char* filename, const char* functionName);
         Exception(const std::string& description);
 
@@ -87,5 +87,5 @@
         int lineNumber_;
         std::string functionName_;
-        std::string fileName_;
+        std::string filename_;
         // mutable because "what()" is a const method
         mutable std::string fullDescription_;
@@ -98,6 +98,6 @@
     public:
         SpecificException(const std::string& description, int lineNumber,
-                  const char* fileName, const char* functionName)
-                  : Exception(description, lineNumber, fileName, functionName)
+                  const char* filename, const char* functionName)
+                  : Exception(description, lineNumber, filename, functionName)
         {
             // let the catcher decide whether to display the message below level 4
Index: code/trunk/src/util/SignalHandler.cc
===================================================================
--- code/trunk/src/util/SignalHandler.cc	(revision 2096)
+++ code/trunk/src/util/SignalHandler.cc	(revision 2103)
@@ -58,10 +58,10 @@
  * register signal handlers for SIGSEGV and SIGABRT
  * @param appName path to executable eg argv[0]
- * @param fileName filename to append backtrace to
- */
-void SignalHandler::doCatch( const std::string & appName, const std::string & fileName )
+ * @param filename filename to append backtrace to
+ */
+void SignalHandler::doCatch( const std::string & appName, const std::string & filename )
 {
   this->appName = appName;
-  this->fileName = fileName;
+  this->filename = filename;
 
   // prepare for restoring XAutoKeyRepeat
@@ -326,9 +326,9 @@
   bt.insert(0, timeString);
 
-  FILE * f = fopen( getInstance()->fileName.c_str(), "a" );
+  FILE * f = fopen( getInstance()->filename.c_str(), "a" );
 
   if ( !f )
   {
-    perror( ( std::string( "could not append to " ) + getInstance()->fileName ).c_str() );
+    perror( ( std::string( "could not append to " ) + getInstance()->filename ).c_str() );
     exit(EXIT_FAILURE);
   }
@@ -336,5 +336,5 @@
   if ( fwrite( bt.c_str(), 1, bt.length(), f ) != bt.length() )
   {
-    COUT(0) << "could not write " << bt.length() << " byte to " << getInstance()->fileName << std::endl;
+    COUT(0) << "could not write " << bt.length() << " byte to " << getInstance()->filename << std::endl;
     exit(EXIT_FAILURE);
   }
Index: code/trunk/src/util/SignalHandler.h
===================================================================
--- code/trunk/src/util/SignalHandler.h	(revision 2096)
+++ code/trunk/src/util/SignalHandler.h	(revision 2103)
@@ -71,5 +71,5 @@
     void registerCallback( SignalCallback cb, void * someData );
 
-    void doCatch( const std::string & appName, const std::string & fileName );
+    void doCatch( const std::string & appName, const std::string & filename );
     void dontCatch();
 
@@ -85,5 +85,5 @@
 
     std::string appName;
-    std::string fileName;
+    std::string filename;
 
     // used to turn on KeyAutoRepeat if OIS crashes
@@ -97,5 +97,5 @@
   public:
     inline static SignalHandler* getInstance() { if (!SignalHandler::singletonRef) SignalHandler::singletonRef = new SignalHandler(); return SignalHandler::singletonRef; };
-    void doCatch( const std::string & appName, const std::string & fileName ) {};
+    void doCatch( const std::string & appName, const std::string & filename ) {};
     void dontCatch() {};
     void registerCallback( SignalCallback cb, void * someData ) {};