Index: code/branches/objecthierarchy/src/network/ChatListener.cc
===================================================================
--- code/branches/objecthierarchy/src/network/ChatListener.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/ChatListener.cc	(revision 2112)
@@ -32,5 +32,5 @@
 #include "core/Core.h"
 
-namespace network
+namespace orxonox
 {
     ChatListener::ChatListener()
Index: code/branches/objecthierarchy/src/network/ChatListener.h
===================================================================
--- code/branches/objecthierarchy/src/network/ChatListener.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/ChatListener.h	(revision 2112)
@@ -35,7 +35,7 @@
 #include "core/OrxonoxClass.h"
 
-namespace network
+namespace orxonox
 {
-    class _NetworkExport ChatListener : virtual public orxonox::OrxonoxClass
+    class _NetworkExport ChatListener : virtual public OrxonoxClass
     {
         public:
Index: code/branches/objecthierarchy/src/network/Client.cc
===================================================================
--- code/branches/objecthierarchy/src/network/Client.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/Client.cc	(revision 2112)
@@ -49,5 +49,5 @@
 // #include "packet/Acknowledgement.h"
 
-namespace network
+namespace orxonox
 {
 //   SetConsoleCommandShortcut(Client, chat);
Index: code/branches/objecthierarchy/src/network/Client.h
===================================================================
--- code/branches/objecthierarchy/src/network/Client.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/Client.h	(revision 2112)
@@ -54,8 +54,8 @@
 
 
-namespace network
+namespace orxonox
 {
   /**
-  network::Client *client;
+  Client *client;
   * The network/Client class
   * This class implements all necessary function for the network communication
Index: code/branches/objecthierarchy/src/network/ClientConnection.cc
===================================================================
--- code/branches/objecthierarchy/src/network/ClientConnection.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/ClientConnection.cc	(revision 2112)
@@ -48,5 +48,5 @@
 #include "util/Debug.h"
 
-namespace network
+namespace orxonox
 {
   //static boost::thread_group network_threads;
@@ -72,5 +72,5 @@
   bool ClientConnection::waitEstablished(int milisec) {
     for(int i=0; i<=milisec && !established; i++)
-      orxonox::msleep(1);
+      msleep(1);
 
     return established;
@@ -184,5 +184,5 @@
       case ENET_EVENT_TYPE_NONE:
         //receiverThread_->yield();
-        orxonox::msleep(1);
+        msleep(1);
         break;
       }
Index: code/branches/objecthierarchy/src/network/ClientConnection.h
===================================================================
--- code/branches/objecthierarchy/src/network/ClientConnection.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/ClientConnection.h	(revision 2112)
@@ -50,5 +50,5 @@
 namespace boost { class thread; }
 
-namespace network
+namespace orxonox
 {
 
Index: code/branches/objecthierarchy/src/network/ClientConnectionListener.cc
===================================================================
--- code/branches/objecthierarchy/src/network/ClientConnectionListener.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/ClientConnectionListener.cc	(revision 2112)
@@ -3,5 +3,5 @@
 #include "core/Core.h"
 
-namespace network{
+namespace orxonox{
 
   ClientConnectionListener::ClientConnectionListener()
@@ -11,5 +11,5 @@
 
   void ClientConnectionListener::getConnectedClients(){
-    if(orxonox::Core::showsGraphics())
+    if(Core::showsGraphics())
       this->clientConnected(0); //server client id
     ClientInformation *client = ClientInformation::getBegin();
Index: code/branches/objecthierarchy/src/network/ClientConnectionListener.h
===================================================================
--- code/branches/objecthierarchy/src/network/ClientConnectionListener.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/ClientConnectionListener.h	(revision 2112)
@@ -6,7 +6,7 @@
 #include "core/OrxonoxClass.h"
 
-namespace network{
+namespace orxonox{
 
-  class _NetworkExport ClientConnectionListener : virtual public orxonox::OrxonoxClass
+  class _NetworkExport ClientConnectionListener : virtual public OrxonoxClass
   {
     friend class Server;
Index: code/branches/objecthierarchy/src/network/ClientInformation.cc
===================================================================
--- code/branches/objecthierarchy/src/network/ClientInformation.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/ClientInformation.cc	(revision 2112)
@@ -43,5 +43,5 @@
 #include <iostream> //debug
 
-namespace network
+namespace orxonox
 {
 
Index: code/branches/objecthierarchy/src/network/ClientInformation.h
===================================================================
--- code/branches/objecthierarchy/src/network/ClientInformation.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/ClientInformation.h	(revision 2112)
@@ -48,5 +48,5 @@
 // WATCH OUT: THE CLIENTINFORMATION LIST IS NOT THREADSAFE ANYMORE
 
-namespace network
+namespace orxonox
 {
   static const unsigned int GAMESTATEID_INITIAL = (unsigned int)-1;
Index: code/branches/objecthierarchy/src/network/ConnectionManager.cc
===================================================================
--- code/branches/objecthierarchy/src/network/ConnectionManager.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/ConnectionManager.cc	(revision 2112)
@@ -65,5 +65,5 @@
 }
 
-namespace network
+namespace orxonox
 {
   //boost::thread_group network_threads;
@@ -227,5 +227,5 @@
         case ENET_EVENT_TYPE_NONE:
           //receiverThread_->yield();
-          orxonox::msleep(1);
+          msleep(1);
           break;
       }
@@ -306,7 +306,7 @@
     unsigned int network_id=0, failures=0;
     std::string classname;
-    orxonox::Identifier *id;
-    std::map<std::string, orxonox::Identifier*>::const_iterator it = orxonox::Factory::getFactoryMapBegin();
-    while(it != orxonox::Factory::getFactoryMapEnd()){
+    Identifier *id;
+    std::map<std::string, Identifier*>::const_iterator it = Factory::getFactoryMapBegin();
+    while(it != Factory::getFactoryMapEnd()){
       id = (*it).second;
       if(id == NULL)
Index: code/branches/objecthierarchy/src/network/ConnectionManager.h
===================================================================
--- code/branches/objecthierarchy/src/network/ConnectionManager.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/ConnectionManager.h	(revision 2112)
@@ -59,5 +59,5 @@
 }
 
-namespace network
+namespace orxonox
 {
     const int NETWORK_PORT = 55556;
Index: code/branches/objecthierarchy/src/network/GamestateClient.cc
===================================================================
--- code/branches/objecthierarchy/src/network/GamestateClient.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/GamestateClient.cc	(revision 2112)
@@ -39,5 +39,5 @@
 
 
-namespace network
+namespace orxonox
 {
   struct _NetworkExport GameStateItem{
@@ -94,6 +94,6 @@
   * @return iterator pointing to the next object in the list
   */
-  void GamestateClient::removeObject(orxonox::ObjectList<Synchronisable>::iterator &it) {
-    orxonox::ObjectList<Synchronisable>::iterator temp=it;
+  void GamestateClient::removeObject(ObjectList<Synchronisable>::iterator &it) {
+    ObjectList<Synchronisable>::iterator temp=it;
     ++it;
     delete  *temp;
Index: code/branches/objecthierarchy/src/network/GamestateClient.h
===================================================================
--- code/branches/objecthierarchy/src/network/GamestateClient.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/GamestateClient.h	(revision 2112)
@@ -50,5 +50,5 @@
 const unsigned int GAMESTATEID_INITIAL = (unsigned int)-1;
 
-namespace network
+namespace orxonox
 {
   class _NetworkExport GamestateClient: public GamestateHandler
@@ -66,5 +66,5 @@
   private:
     packet::Gamestate *processGamestate(packet::Gamestate *gs);
-    void removeObject(orxonox::ObjectListIterator<Synchronisable> &it);
+    void removeObject(ObjectListIterator<Synchronisable> &it);
     void printGamestateMap();
     bool sendAck(unsigned int gamestateID);
Index: code/branches/objecthierarchy/src/network/GamestateHandler.cc
===================================================================
--- code/branches/objecthierarchy/src/network/GamestateHandler.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/GamestateHandler.cc	(revision 2112)
@@ -4,5 +4,5 @@
 #include "packet/Packet.h"
 
-namespace network {
+namespace orxonox {
 
 GamestateHandler *GamestateHandler::instance_=0;
@@ -22,3 +22,3 @@
 
 
-}//namespace network
+}//namespace orxonox
Index: code/branches/objecthierarchy/src/network/GamestateHandler.h
===================================================================
--- code/branches/objecthierarchy/src/network/GamestateHandler.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/GamestateHandler.h	(revision 2112)
@@ -34,5 +34,5 @@
 #include "packet/Chat.h"
 
-namespace network {
+namespace orxonox {
 
 /**
Index: code/branches/objecthierarchy/src/network/GamestateManager.cc
===================================================================
--- code/branches/objecthierarchy/src/network/GamestateManager.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/GamestateManager.cc	(revision 2112)
@@ -51,5 +51,5 @@
 #include "Synchronisable.h"
 
-namespace network
+namespace orxonox
 {
   GamestateManager::GamestateManager() {
Index: code/branches/objecthierarchy/src/network/GamestateManager.h
===================================================================
--- code/branches/objecthierarchy/src/network/GamestateManager.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/GamestateManager.h	(revision 2112)
@@ -47,5 +47,5 @@
 #include "packet/Gamestate.h"
 
-namespace network
+namespace orxonox
 {
 
Index: code/branches/objecthierarchy/src/network/Host.cc
===================================================================
--- code/branches/objecthierarchy/src/network/Host.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/Host.cc	(revision 2112)
@@ -34,5 +34,5 @@
 #include "ChatListener.h"
 
-namespace network {
+namespace orxonox {
 
 SetConsoleCommandShortcut(Host, Chat);
@@ -80,5 +80,5 @@
 // }
 
-// bool Host::receiveChat(network::packet::Chat *message, unsigned int clientID){
+// bool Host::receiveChat(packet::Chat *message, unsigned int clientID){
 //   if(instance_)
 //     return instance_->processChat(message, clientID);
@@ -110,5 +110,5 @@
 
 bool Host::incomingChat(const std::string& message, unsigned int playerID){
-  for (orxonox::ObjectList<ChatListener>::iterator it = orxonox::ObjectList<ChatListener>::begin(); it != orxonox::ObjectList<ChatListener>::end(); ++it)
+  for (ObjectList<ChatListener>::iterator it = ObjectList<ChatListener>::begin(); it != ObjectList<ChatListener>::end(); ++it)
     it->incomingChat(message, playerID);
 
@@ -116,3 +116,3 @@
 }
 
-}//namespace network
+}//namespace orxonox
Index: code/branches/objecthierarchy/src/network/Host.h
===================================================================
--- code/branches/objecthierarchy/src/network/Host.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/Host.h	(revision 2112)
@@ -34,5 +34,5 @@
 #include "packet/Chat.h"
 
-namespace network {
+namespace orxonox {
 
 /**
Index: code/branches/objecthierarchy/src/network/NetworkCallback.h
===================================================================
--- code/branches/objecthierarchy/src/network/NetworkCallback.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/NetworkCallback.h	(revision 2112)
@@ -4,5 +4,5 @@
 #include "NetworkPrereqs.h"
 
-namespace network{
+namespace orxonox{
   class _NetworkExport NetworkCallbackBase
   {
Index: code/branches/objecthierarchy/src/network/NetworkPrereqs.h
===================================================================
--- code/branches/objecthierarchy/src/network/NetworkPrereqs.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/NetworkPrereqs.h	(revision 2112)
@@ -59,5 +59,5 @@
 // Forward declarations
 //-----------------------------------------------------------------------
-namespace network
+namespace orxonox
 {
   class Client;
Index: code/branches/objecthierarchy/src/network/PacketBuffer.cc
===================================================================
--- code/branches/objecthierarchy/src/network/PacketBuffer.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/PacketBuffer.cc	(revision 2112)
@@ -39,5 +39,5 @@
 #include <boost/thread/mutex.hpp>
 
-namespace network
+namespace orxonox
 {
    boost::recursive_mutex PacketBuffer::mutex_;
@@ -147,3 +147,3 @@
   }
 
-} // namespace network
+} // namespace orxonox
Index: code/branches/objecthierarchy/src/network/PacketBuffer.h
===================================================================
--- code/branches/objecthierarchy/src/network/PacketBuffer.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/PacketBuffer.h	(revision 2112)
@@ -47,5 +47,5 @@
 #include <boost/thread/recursive_mutex.hpp>
 
-namespace network
+namespace orxonox
 {
   struct _NetworkExport PacketEnvelope{
Index: code/branches/objecthierarchy/src/network/Server.cc
===================================================================
--- code/branches/objecthierarchy/src/network/Server.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/Server.cc	(revision 2112)
@@ -60,5 +60,5 @@
 #include "ChatListener.h"
 
-namespace network
+namespace orxonox
 {
   const unsigned int MAX_FAILURES = 20;
@@ -317,5 +317,5 @@
 
     // inform all the listeners
-    orxonox::ObjectList<ClientConnectionListener>::iterator listener = orxonox::ObjectList<ClientConnectionListener>::begin();
+    ObjectList<ClientConnectionListener>::iterator listener = ObjectList<ClientConnectionListener>::begin();
     while(listener){
       listener->clientConnected(newid);
@@ -366,5 +366,5 @@
 
 // inform all the listeners
-    orxonox::ObjectList<ClientConnectionListener>::iterator listener = orxonox::ObjectList<ClientConnectionListener>::begin();
+    ObjectList<ClientConnectionListener>::iterator listener = ObjectList<ClientConnectionListener>::begin();
     while(listener){
       listener->clientDisconnected(client->getID());
@@ -404,5 +404,5 @@
     }
 //    COUT(1) << "Player " << Host::getPlayerID() << ": " << message << std::endl;
-    for (orxonox::ObjectList<ChatListener>::iterator it = orxonox::ObjectList<ChatListener>::begin(); it != orxonox::ObjectList<ChatListener>::end(); ++it)
+    for (ObjectList<ChatListener>::iterator it = ObjectList<ChatListener>::begin(); it != ObjectList<ChatListener>::end(); ++it)
       it->incomingChat(message, clientID);
 
Index: code/branches/objecthierarchy/src/network/Server.h
===================================================================
--- code/branches/objecthierarchy/src/network/Server.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/Server.h	(revision 2112)
@@ -49,5 +49,5 @@
 #include "GamestateManager.h"
 
-namespace network
+namespace orxonox
 {
   const int CLIENTID_SERVER = 0;
Index: code/branches/objecthierarchy/src/network/Synchronisable.cc
===================================================================
--- code/branches/objecthierarchy/src/network/Synchronisable.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/Synchronisable.cc	(revision 2112)
@@ -50,5 +50,5 @@
 // #include "core/Identifier.h"
 
-namespace network
+namespace orxonox
 {
 
@@ -63,5 +63,5 @@
   * Initializes all Variables and sets the right objectID
   */
-  Synchronisable::Synchronisable(orxonox::BaseObject* creator){
+  Synchronisable::Synchronisable(BaseObject* creator){
     RegisterRootObject(Synchronisable);
     static uint32_t idCounter=0;
@@ -96,5 +96,5 @@
   Synchronisable::~Synchronisable(){
     // delete callback function objects
-    if(!orxonox::Identifier::isCreatingHierarchy()){
+    if(!Identifier::isCreatingHierarchy()){
       for(std::list<synchronisableVariable *>::iterator it = syncList->begin(); it!=syncList->end(); it++)
         delete (*it)->callback;
@@ -155,7 +155,7 @@
     COUT(4) << "fabricating object with id: " << header->objectID << std::endl;
 
-    orxonox::Identifier* id = ClassByID(header->classID);
+    Identifier* id = ClassByID(header->classID);
     assert(id);
-    orxonox::BaseObject* creator = 0;
+    BaseObject* creator = 0;
     if (header->creatorID != OBJECTID_UNKNOWN)
     {
@@ -167,7 +167,7 @@
       }
       else
-        creator = dynamic_cast<orxonox::BaseObject*>(synchronisable_creator);
-    }
-    orxonox::BaseObject *bo = id->fabricate(creator);
+        creator = dynamic_cast<BaseObject*>(synchronisable_creator);
+    }
+    BaseObject *bo = id->fabricate(creator);
     assert(bo);
     Synchronisable *no = dynamic_cast<Synchronisable *>(bo);
@@ -214,6 +214,6 @@
    */
   Synchronisable* Synchronisable::getSynchronisable(unsigned int objectID){
-    orxonox::ObjectList<Synchronisable>::iterator it;
-    for(it = orxonox::ObjectList<Synchronisable>::begin(); it; ++it){
+    ObjectList<Synchronisable>::iterator it;
+    for(it = ObjectList<Synchronisable>::begin(); it; ++it){
       if( it->getObjectID()==objectID )
            return *it;
@@ -234,5 +234,5 @@
   * @param var pointer to the variable
   * @param size size of the datatype the variable consists of
-  * @param t the type of the variable (network::DATA or network::STRING
+  * @param t the type of the variable (DATA or STRING
   * @param mode same as in getData
   * @param cb callback object that should get called, if the value of the variable changes
Index: code/branches/objecthierarchy/src/network/Synchronisable.h
===================================================================
--- code/branches/objecthierarchy/src/network/Synchronisable.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/Synchronisable.h	(revision 2112)
@@ -42,9 +42,9 @@
 
 #define REGISTERDATA(varname, ...) \
-    registerVar((void*)&varname, sizeof(varname), network::DATA, __VA_ARGS__)
+    registerVar((void*)&varname, sizeof(varname), DATA, __VA_ARGS__)
 #define REGISTERSTRING(stringname, ...) \
-    registerVar(&stringname, stringname.length()+1, network::STRING, __VA_ARGS__)
+    registerVar(&stringname, stringname.length()+1, STRING, __VA_ARGS__)
 
-namespace network
+namespace orxonox
 {
   static const unsigned int OBJECTID_UNKNOWN = (unsigned int)-1;
@@ -95,5 +95,5 @@
   * @author Oliver Scheuss
   */
-  class _NetworkExport Synchronisable : virtual public orxonox::OrxonoxClass{
+  class _NetworkExport Synchronisable : virtual public OrxonoxClass{
   public:
     friend class packet::Gamestate;
@@ -115,5 +115,5 @@
     inline unsigned int getClassID(){return classID;}
   protected:
-    Synchronisable(orxonox::BaseObject* creator);
+    Synchronisable(BaseObject* creator);
     void registerVar(void *var, int size, variableType t, int mode=1, NetworkCallbackBase *cb=0);
     void setObjectMode(int mode);
Index: code/branches/objecthierarchy/src/network/packet/Acknowledgement.cc
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Acknowledgement.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/Acknowledgement.cc	(revision 2112)
@@ -33,10 +33,10 @@
 #include "core/CoreIncludes.h"
 
-namespace network {
+namespace orxonox {
 namespace packet {
 
 #define PACKET_FLAGS_ACK    0
 #define _PACKETID           0
-#define _ACKID              _PACKETID + sizeof(network::packet::ENUM::Type)
+#define _ACKID              _PACKETID + sizeof(packet::ENUM::Type)
   
 Acknowledgement::Acknowledgement( unsigned int id, unsigned int clientID )
@@ -74,3 +74,3 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
Index: code/branches/objecthierarchy/src/network/packet/Acknowledgement.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Acknowledgement.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/Acknowledgement.h	(revision 2112)
@@ -33,5 +33,5 @@
 
 
-namespace network {
+namespace orxonox {
 namespace packet {
 /**
@@ -53,5 +53,5 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
 
 #endif
Index: code/branches/objecthierarchy/src/network/packet/Chat.cc
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Chat.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/Chat.cc	(revision 2112)
@@ -31,5 +31,5 @@
 #include "network/Host.h"
 
-namespace network {
+namespace orxonox {
 namespace packet {
   
@@ -77,3 +77,3 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
Index: code/branches/objecthierarchy/src/network/packet/Chat.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Chat.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/Chat.h	(revision 2112)
@@ -10,5 +10,5 @@
 #include "Packet.h"
 
-namespace network {
+namespace orxonox {
 namespace packet {
 /**
@@ -33,5 +33,5 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
 
 #endif
Index: code/branches/objecthierarchy/src/network/packet/ClassID.cc
===================================================================
--- code/branches/objecthierarchy/src/network/packet/ClassID.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/ClassID.cc	(revision 2112)
@@ -34,5 +34,5 @@
 #include <assert.h>
 
-namespace network {
+namespace orxonox {
 namespace packet {
 
@@ -68,10 +68,10 @@
 
 unsigned int ClassID::getSize() const{
-  return sizeof(network::packet::ENUM::Type) + 2*sizeof(uint32_t) + classNameLength_;
+  return sizeof(packet::ENUM::Type) + 2*sizeof(uint32_t) + classNameLength_;
 }
 
 bool ClassID::process(){
   COUT(3) << "processing classid: " << getClassID() << " name: " << (const char*)(data_+_CLASSNAME) << std::endl;
-  orxonox::Identifier *id=ClassByID( std::string((const char*)(data_+_CLASSNAME) ));
+  Identifier *id=ClassByID( std::string((const char*)(data_+_CLASSNAME) ));
   if(id==NULL)
     return false;
@@ -86,3 +86,3 @@
 
 } //namespace packet
-}//namespace network
+}//namespace orxonox
Index: code/branches/objecthierarchy/src/network/packet/ClassID.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/ClassID.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/ClassID.h	(revision 2112)
@@ -35,5 +35,5 @@
 #include "Packet.h"
 
-namespace network {
+namespace orxonox {
 namespace packet {
 
@@ -59,5 +59,5 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
 
 #endif
Index: code/branches/objecthierarchy/src/network/packet/DeleteObjects.cc
===================================================================
--- code/branches/objecthierarchy/src/network/packet/DeleteObjects.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/DeleteObjects.cc	(revision 2112)
@@ -34,5 +34,5 @@
 #include <assert.h>
 
-namespace network {
+namespace orxonox {
 namespace packet {
 
@@ -95,3 +95,3 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
Index: code/branches/objecthierarchy/src/network/packet/DeleteObjects.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/DeleteObjects.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/DeleteObjects.h	(revision 2112)
@@ -34,5 +34,5 @@
 
 
-namespace network {
+namespace orxonox {
 namespace packet {
 /**
@@ -55,5 +55,5 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
 
 #endif
Index: code/branches/objecthierarchy/src/network/packet/Gamestate.cc
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Gamestate.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/Gamestate.cc	(revision 2112)
@@ -38,5 +38,5 @@
 
 
-namespace network {
+namespace orxonox {
 
 namespace packet {
@@ -93,6 +93,6 @@
   uint8_t *mem=data_;
   mem+=sizeof(GamestateHeader);
-  orxonox::ObjectList<Synchronisable>::iterator it;
-  for(it = orxonox::ObjectList<Synchronisable>::begin(); it; ++it){
+  ObjectList<Synchronisable>::iterator it;
+  for(it = ObjectList<Synchronisable>::begin(); it; ++it){
     tempsize=it->getSize(id, mode);
 
@@ -100,5 +100,5 @@
       // start allocate additional memory
       COUT(3) << "G.St.Man: need additional memory" << std::endl;
-      orxonox::ObjectList<Synchronisable>::iterator temp = it;
+      ObjectList<Synchronisable>::iterator temp = it;
       int addsize=tempsize;
       while(++temp)
@@ -147,5 +147,5 @@
   uint8_t *mem=data_+sizeof(GamestateHeader);
     // get the start of the Synchronisable list
-  //orxonox::ObjectList<Synchronisable>::iterator it=orxonox::ObjectList<Synchronisable>::begin();
+  //ObjectList<Synchronisable>::iterator it=ObjectList<Synchronisable>::begin();
   Synchronisable *s;
 
@@ -244,5 +244,5 @@
   //copy and modify header
 #ifndef NDEBUG
-  HEADER->crc32 = orxonox::calcCRC(data_+sizeof(GamestateHeader), HEADER->datasize);
+  HEADER->crc32 = calcCRC(data_+sizeof(GamestateHeader), HEADER->datasize);
 #endif
   *GAMESTATE_HEADER(ndata) = *HEADER;
@@ -281,5 +281,5 @@
   }
 #ifndef NDEBUG
-  assert(HEADER->crc32==orxonox::calcCRC(ndata+sizeof(GamestateHeader), HEADER->datasize));
+  assert(HEADER->crc32==calcCRC(ndata+sizeof(GamestateHeader), HEADER->datasize));
 #endif
 
@@ -569,7 +569,7 @@
   int size=0;
     // get the start of the Synchronisable list
-  orxonox::ObjectList<Synchronisable>::iterator it;
+  ObjectList<Synchronisable>::iterator it;
     // get total size of gamestate
-  for(it = orxonox::ObjectList<Synchronisable>::begin(); it; ++it)
+  for(it = ObjectList<Synchronisable>::begin(); it; ++it)
     size+=it->getSize(id, mode); // size of the actual data of the synchronisable
 //  size+=sizeof(GamestateHeader);
@@ -582,6 +582,6 @@
  * @return iterator pointing to the next object in the list
  */
-  void Gamestate::removeObject(orxonox::ObjectList<Synchronisable>::iterator &it) {
-    orxonox::ObjectList<Synchronisable>::iterator temp=it;
+  void Gamestate::removeObject(ObjectList<Synchronisable>::iterator &it) {
+    ObjectList<Synchronisable>::iterator temp=it;
     ++it;
     delete  *temp;
Index: code/branches/objecthierarchy/src/network/packet/Gamestate.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Gamestate.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/Gamestate.h	(revision 2112)
@@ -40,5 +40,5 @@
 #endif
 
-namespace network {
+namespace orxonox {
 
 namespace packet {
@@ -91,5 +91,5 @@
   private:
     unsigned int calcGamestateSize(unsigned int id, int mode=0x0);
-    void removeObject(orxonox::ObjectListIterator<Synchronisable> &it);
+    void removeObject(ObjectListIterator<Synchronisable> &it);
     std::map<unsigned int, Synchronisable*> dataMap_;
 };
Index: code/branches/objecthierarchy/src/network/packet/Packet.cc
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Packet.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/Packet.cc	(revision 2112)
@@ -46,5 +46,5 @@
 #include "core/CoreIncludes.h"
 
-namespace network{
+namespace orxonox{
 
 namespace packet{
@@ -153,5 +153,5 @@
 //  ENetPacket *temp = enetPacket_;
 //  enetPacket_ = 0; // otherwise we have a double free because enet already handles the deallocation of the packet
-  network::Host::addPacket( enetPacket_, clientID_);
+  Host::addPacket( enetPacket_, clientID_);
   return true;
 }
@@ -219,4 +219,4 @@
 } // namespace packet
 
-} // namespace network
-
+} // namespace orxonox
+
Index: code/branches/objecthierarchy/src/network/packet/Packet.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Packet.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/Packet.h	(revision 2112)
@@ -36,5 +36,5 @@
 #include "util/Integers.h"
 
-namespace network {
+namespace orxonox {
 
 namespace packet{
@@ -98,5 +98,5 @@
 } //namespace packet
 
-} //namespace network
+} //namespace orxonox
 
 #endif
Index: code/branches/objecthierarchy/src/network/packet/Welcome.cc
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Welcome.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/Welcome.cc	(revision 2112)
@@ -36,5 +36,5 @@
 #include <assert.h>
 
-namespace network {
+namespace orxonox {
 namespace packet {
 
@@ -70,5 +70,5 @@
 
 unsigned int Welcome::getSize() const{
-  return sizeof(network::packet::ENUM::Type) + 2*sizeof(uint32_t);
+  return sizeof(packet::ENUM::Type) + 2*sizeof(uint32_t);
 }
 
@@ -87,3 +87,3 @@
 
 } //namespace packet
-}//namespace network
+}//namespace orxonox
Index: code/branches/objecthierarchy/src/network/packet/Welcome.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Welcome.h	(revision 2111)
+++ code/branches/objecthierarchy/src/network/packet/Welcome.h	(revision 2112)
@@ -33,5 +33,5 @@
 #include "Packet.h"
 
-namespace network {
+namespace orxonox {
 namespace packet {
 
@@ -54,5 +54,5 @@
 
 } //namespace packet
-} //namespace network
+} //namespace orxonox
 
 #endif