Index: code/branches/objecthierarchy/src/util/Clipboard.cc
===================================================================
--- code/branches/objecthierarchy/src/util/Clipboard.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/util/Clipboard.cc	(revision 2114)
@@ -30,5 +30,5 @@
 
 /**
-    @file Clipboard.cc
+    @file
     @brief OS-specific implementations of the clipboard functions.
 */
Index: code/branches/objecthierarchy/src/util/Clipboard.h
===================================================================
--- code/branches/objecthierarchy/src/util/Clipboard.h	(revision 2111)
+++ code/branches/objecthierarchy/src/util/Clipboard.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Clipboard.h
+    @file
     @brief Some functions to exchange text between the OS clipboard and Orxonox.
 
Index: code/branches/objecthierarchy/src/util/Debug.h
===================================================================
--- code/branches/objecthierarchy/src/util/Debug.h	(revision 2111)
+++ code/branches/objecthierarchy/src/util/Debug.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Debug.h
+    @file
     @brief Handles different output-levels of errors, warnings, infos and debug informations.
 
Index: code/branches/objecthierarchy/src/util/Math.h
===================================================================
--- code/branches/objecthierarchy/src/util/Math.h	(revision 2111)
+++ code/branches/objecthierarchy/src/util/Math.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file Math.h
+    @file
     @brief Declaration and implementation of several math-functions, typedefs of some Ogre::Math classes to the orxonox namespace.
 */
Index: code/branches/objecthierarchy/src/util/MultiType.cc
===================================================================
--- code/branches/objecthierarchy/src/util/MultiType.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/util/MultiType.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file MultiType.cc
+    @file
     @brief Implementation of the MultiType.
 */
Index: code/branches/objecthierarchy/src/util/MultiType.h
===================================================================
--- code/branches/objecthierarchy/src/util/MultiType.h	(revision 2111)
+++ code/branches/objecthierarchy/src/util/MultiType.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file MultiType.h
+    @file
     @brief Declaration of the MultiType and some helper constructs.
 
Index: code/branches/objecthierarchy/src/util/MultiTypeValue.h
===================================================================
--- code/branches/objecthierarchy/src/util/MultiTypeValue.h	(revision 2111)
+++ code/branches/objecthierarchy/src/util/MultiTypeValue.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file MultiTypeValue.h
+    @file
     @brief Declaration and Implementation of the MT_Value<T> class.
 
Index: code/branches/objecthierarchy/src/util/OutputBuffer.cc
===================================================================
--- code/branches/objecthierarchy/src/util/OutputBuffer.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/util/OutputBuffer.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file OutputBuffer.cc
+    @file
     @brief Implementation of the OutputBuffer.
 */
Index: code/branches/objecthierarchy/src/util/OutputBuffer.h
===================================================================
--- code/branches/objecthierarchy/src/util/OutputBuffer.h	(revision 2111)
+++ code/branches/objecthierarchy/src/util/OutputBuffer.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file OutputBuffer.h
+    @file
     @brief Declaration of the OutputBuffer class.
 
Index: code/branches/objecthierarchy/src/util/OutputHandler.cc
===================================================================
--- code/branches/objecthierarchy/src/util/OutputHandler.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/util/OutputHandler.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file OutputHandler.cc
+    @file
     @brief Implementation of the OutputHandler class.
 */
Index: code/branches/objecthierarchy/src/util/OutputHandler.h
===================================================================
--- code/branches/objecthierarchy/src/util/OutputHandler.h	(revision 2111)
+++ code/branches/objecthierarchy/src/util/OutputHandler.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file OutputHandler.h
+    @file
     @brief Definition of the OutputHandler class.
 
Index: code/branches/objecthierarchy/src/util/String.cc
===================================================================
--- code/branches/objecthierarchy/src/util/String.cc	(revision 2111)
+++ code/branches/objecthierarchy/src/util/String.cc	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file String.cc
+    @file
     @brief Implementation of several string manipulation functions.
 */
Index: code/branches/objecthierarchy/src/util/String.h
===================================================================
--- code/branches/objecthierarchy/src/util/String.h	(revision 2111)
+++ code/branches/objecthierarchy/src/util/String.h	(revision 2114)
@@ -28,5 +28,5 @@
 
 /**
-    @file String.h
+    @file
     @brief Declaration of several string manipulation functions, used in many parts of the game.
 */
Index: code/branches/objecthierarchy/src/util/SubString.h
===================================================================
--- code/branches/objecthierarchy/src/util/SubString.h	(revision 2111)
+++ code/branches/objecthierarchy/src/util/SubString.h	(revision 2114)
@@ -38,5 +38,5 @@
 
  /*!
- * @file substring.h
+ * @file
  * @brief a small class to get the parts of a string separated by commas
  *