Index: code/branches/physics/visual_studio/vc8/bullet_collision.vcproj
===================================================================
--- code/branches/physics/visual_studio/vc8/bullet_collision.vcproj	(revision 2151)
+++ code/branches/physics/visual_studio/vc8/bullet_collision.vcproj	(revision 2178)
@@ -494,4 +494,8 @@
 			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
 			>
+			<File
+				RelativePath="..\..\src\bullet\btBulletCollisionCommon.h"
+				>
+			</File>
 			<Filter
 				Name="BroadphaseCollision"
Index: code/branches/physics/visual_studio/vc8/bullet_dynamics.vcproj
===================================================================
--- code/branches/physics/visual_studio/vc8/bullet_dynamics.vcproj	(revision 2151)
+++ code/branches/physics/visual_studio/vc8/bullet_dynamics.vcproj	(revision 2178)
@@ -214,4 +214,8 @@
 			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
 			>
+			<File
+				RelativePath="..\..\src\bullet\btBulletDynamicsCommon.h"
+				>
+			</File>
 			<Filter
 				Name="ConstraintSolver"
Index: code/branches/physics/visual_studio/vc8/bullet_linearmath.vcproj
===================================================================
--- code/branches/physics/visual_studio/vc8/bullet_linearmath.vcproj	(revision 2151)
+++ code/branches/physics/visual_studio/vc8/bullet_linearmath.vcproj	(revision 2178)
@@ -154,4 +154,96 @@
 			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
 			>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btAabbUtil2.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btAlignedAllocator.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btAlignedObjectArray.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btConvexHull.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btDefaultMotionState.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btGeometryUtil.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btHashMap.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btIDebugDraw.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btList.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btMatrix3x3.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btMinMax.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btMotionState.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btPoint3.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btPoolAllocator.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btQuadWord.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btQuaternion.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btQuickprof.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btRandom.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btScalar.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btStackAlloc.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btTransform.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btTransformUtil.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\bullet\LinearMath\btVector3.h"
+				>
+			</File>
 		</Filter>
 	</Files>
Index: code/branches/physics/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/physics/visual_studio/vc8/orxonox.vcproj	(revision 2151)
+++ code/branches/physics/visual_studio/vc8/orxonox.vcproj	(revision 2178)
@@ -301,16 +301,12 @@
 					</File>
 					<File
-						RelativePath="..\..\src\orxonox\objects\worldentities\DynamicEntity.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\orxonox\objects\worldentities\KinematicEntity.cc"
-						>
-					</File>
-					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\Light.cc"
 						>
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\LinearEntity.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\Model.cc"
 						>
@@ -326,4 +322,8 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\ParticleSpawner.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\PositionableEntity.cc"
 						>
 					</File>
@@ -419,8 +419,40 @@
 						RelativePath="..\..\src\orxonox\objects\weaponSystem\Munition.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\weaponSystem\Weapon.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
@@ -575,60 +607,300 @@
 						RelativePath="..\..\src\orxonox\objects\quest\AddQuest.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\AddQuestHint.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\AddReward.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\ChangeQuestStatus.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\CompleteQuest.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\FailQuest.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\GlobalQuest.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\LocalQuest.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\Quest.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\QuestDescription.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\QuestEffect.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\QuestHint.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\QuestItem.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\QuestManager.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
 						RelativePath="..\..\src\orxonox\objects\quest\Rewardable.cc"
 						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 				</Filter>
@@ -941,16 +1213,12 @@
 					</File>
 					<File
-						RelativePath="..\..\src\orxonox\objects\worldentities\DynamicEntity.h"
-						>
-					</File>
-					<File
-						RelativePath="..\..\src\orxonox\objects\worldentities\KinematicEntity.h"
-						>
-					</File>
-					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\Light.h"
 						>
 					</File>
 					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\LinearEntity.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\Model.h"
 						>
@@ -966,4 +1234,8 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\ParticleSpawner.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\PositionableEntity.h"
 						>
 					</File>